# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/rng/microchip,pic32-rng.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Microchip PIC32 Random Number Generator

description: |
  The PIC32 RNG provides a pseudo random number generator which can be seeded
  by another true random number generator.

maintainers:
  - Joshua Henderson <joshua.henderson@microchip.com>

properties:
  compatible:
    enum:
      - microchip,pic32mzda-rng

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

required:
  - compatible
  - reg
  - clocks

additionalProperties: false

examples:
  - |
    rng: rng@1f8e6000 {
      compatible = "microchip,pic32mzda-rng";
      reg = <0x1f8e6000 0x1000>;
      clocks = <&PBCLK5>;
    };
